## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.udteditor.model
Class ASAUserDefinedTypeObjectEditModel

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.model.AbstractSchemaObjectEditModel
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.udteditor.model.ASAUserDefinedTypeObjectEditModel

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISchemaObjectEditModel

    public class ASAUserDefinedTypeObjectEditModel

extends AbstractSchemaObjectEditModel

Author:
  renj

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.model.ISchemaObjectEditModel
`ERROR_REFRESH_ADDITIONAL_OBJ, FATAL_ERROR_MAIN_OBJ_LOST, REFRESH_SUCCESSFUL`

Constructor Summary
`ASAUserDefinedTypeObjectEditModel(ISchemaObjectImmutableModel model, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.String` `getEditorTooltipText()` Returns the tooltip text for the editor in which this edit model is being edited

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.model.AbstractSchemaObjectEditModel
`checkModelExistence, getAdditionalSQLObjects, getBackupedDDL, getCopier, getDeltaDDL, getMainSQLObject, getSchemaObjectImmutableModel, refreshFromDB, revert, startLogging, stopLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASAUserDefinedTypeObjectEditModel

    public ASAUserDefinedTypeObjectEditModel(ISchemaObjectImmutableModel model,
                                             org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

### getEditorTooltipText

    public java.lang.String getEditorTooltipText()

  Description copied from interface: `ISchemaObjectEditModel`
  Returns the tooltip text for the editor in which this edit model is being edited

  Specified by:
    `getEditorTooltipText` in interface `ISchemaObjectEditModel`
  Overrides:
    `getEditorTooltipText` in class `AbstractSchemaObjectEditModel`
  Returns: